Ticket #4420 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

管理画面のモジュール名変更に一部のアクションが対応していない

Reported by: imamura623 Assigned to: kiwa
Priority: major Milestone: OpenPNE2.14.5
Component: pne-admin Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.18 Cc:

Description (Last modified by imamura623)

■現象

管理画面のモジュール名を変更した場合、一部の管理画面の動作で「モジュールが見つかりません」というエラーになる。

  • 小窓キャストの追加
  • 小窓キャストの変更
  • 小窓キャストの更新
  • 書き込みデータダウンロード
  • メンバーを指定してメッセージ/Eメールを送る

■再現手順

  1. config.phpのADMIN_MODULE_NAMEをデフォルトadminからadmintestに変更する(admin以外にする)
  2. 管理画面のメンバー管理画面にアクセスする
  3. メンバーリスト下部のメンバーを指定してメッセージ/Eメールを送るをクリックする
  4. ID指定、Eメール指定どちらでもいいので送信先を入力し、決定ボタンを押す
  5. 「モジールが見つかりません」とエラー表示

■原因

ページへリダイレクトする処理で、モジュール名の指定を「admin」と直接指定していた

■修正内容

リダイレクトの処理でモジュール名が「admin」になっていた箇所を「ADMIN_MODULE_NAME」に変更。管理画面のモジュール名変更に対応させた。

■関連情報

Change History

03/05/10 11:07:43 changed by imamura623

  • type changed from enhancement to defect.

03/10/10 14:15:26 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

やります

03/10/10 14:22:41 changed by kiwa

  • cc deleted.
  • keywords set to OpenPNE2.12.18 確認中.
  • description changed.
  • summary changed from 管理画面のモジュール名を変更するとメンバーを指定してメッセージ送信がエラーになる to 管理画面のモジュール名変更に一部のアクションが対応していない.

以下のリビジョンで修正しました。「メンバーを指定してメッセージ送信」以外にも回答箇所を発見したのでチケットの対応範囲を広げました。

03/10/10 17:30:03 changed by imamura623

  • description changed.

03/17/10 15:05:51 changed by kawahara

コードチェックします。

03/17/10 15:24:37 changed by kawahara

  • keywords changed from OpenPNE2.12.18 確認中 to OpenPNE2.12.18 テスト待ち.

問題なしと判断します

03/17/10 18:29:49 changed by imamura623

  • keywords changed from OpenPNE2.12.18 テスト待ち to OpenPNE2.12.18.
  • status changed from assigned to closed.
  • resolution set to fixed.

動作テストOKです。